Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.timer
Class Timer

    java.lang.Object
      org.jbpm.process.core.timer.Timer

All Implemented Interfaces:
  Serializable

    public class Timer

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `TIME_CYCLE`
`static int` | `TIME_DATE`
`static int` | `TIME_DURATION`

Constructor Summary
`Timer()`

Method Summary
`String` | `getDate()`
`String` | `getDelay()`
`long` | `getId()`
`String` | `getPeriod()`
`int` | `getTimeType()`
`void` | `setDate(String date)`
`void` | `setDelay(String delay)`
`void` | `setId(long id)`
`void` | `setPeriod(String period)`
`void` | `setTimeType(int timeType)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TIME_DURATION

    public static final int TIME_DURATION

See Also:
  Constant Field Values

### TIME_CYCLE

    public static final int TIME_CYCLE

See Also:
  Constant Field Values

### TIME_DATE

    public static final int TIME_DATE

See Also:
  Constant Field Values

Constructor Detail

### Timer

    public Timer()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getDelay

    public String getDelay()

### setDelay

    public void setDelay(String delay)

### getPeriod

    public String getPeriod()

### setPeriod

    public void setPeriod(String period)

### getDate

    public String getDate()

### setDate

    public void setDate(String date)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTimeType

    public int getTimeType()

### setTimeType

    public void setTimeType(int timeType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.